// SPDX-License-Identifier: GPL-2.0
#ifndef AC71_BATTERY_H
#define AC71_BATTERY_H

#if IS_ENABLED(CONFIG_ACPI_BATTERY)

#include <linux/init.h>

int  __init ac71_battery_setup(void);
void        ac71_battery_cleanup(void);

#else

static inline int ac71_battery_setup(void)
{
	return 0;
}

static inline void ac71_battery_cleanup(void)
{

}

#endif

#endif /* AC71_BATTERY_H */
